Skip to Content
avatar image
Former Member

JDK for sap pi..?

Hi Experts

I was installing NWDS.  JDK  is a pre-requiste over there.

sap pi is  also being built up in java and thus wondering whatever JDK is also required there..?

I have search on the SCN, but i dint get any concluding ans for it

Any inputs...?

Thanks

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • avatar image
    Former Member
    Nov 19, 2014 at 01:11 PM

    below blog wil help u.

    http://scn.sap.com/docs/DOC-48397

    reg, avinash M

    Add comment
    10|10000 characters needed characters exceeded

  • Nov 20, 2014 at 01:35 AM

    Hi Nunu

    It is unclear which PI version you are on. This will determine which NWDS version you should use and the corresponding JDK.

    Troubleshooting PI ESR and Integration Builder Logon Issues - Process Integration - SCN Wiki

    Check the "Supported Java Web Start Versions" section in the above link. It states which JVM the different PI is running on, you should then use the corresponding JDK.

    Ex: PI 7.3x runs on JVM 6.1 --> use JDK 1.6 (also called JDK SE 6 - latest version is 6.0_45.)

    Note that PI 7.4 requirement is not listed there, but it is same as 7.3x.

    Rgds

    Eng Swee

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Nov 20, 2014 at 05:04 AM

    Hi Nunu,

    You should install JDK 6 (32 bit) & JRE 6 (32 bit).

    After installing JDK & JRE, Please also maintain the variable path like below mentioned;

    Right click on My Computer

                            --> Go to Properties

                            --> Select Advance system setting

                            --> Click on the Environment variables

                            --> In System variables

                            --> Click on the New button

                            --> Give the Variable Name e.g JAVA_PATH

                            --> Define the Variable Value e.g C:\Program Files (x86)\Java\jdk1.6.0_45\bin

    Try this, it worked for  me.

    Regards,

    Dipen.

    Add comment
    10|10000 characters needed characters exceeded